"use strict";

exports.__esModule = true;
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _ = require("./..");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** @component alert-banner */
var AlertBanner = function AlertBanner(props) {
  var show = props.show,
      type = props.type,
      closable = props.closable,
      children = props.children,
      onHide = props.onHide;

  var handleKeyPress = function handleKeyPress(e) {
    e.preventDefault();

    if (e.which === 32 || e.which === 13) {
      return onHide(e);
    } else if (e.charCode === 32 || e.charCode === 13) {
      return onHide(e);
    }
  };

  return show && _react.default.createElement("div", {
    type: type
  }, _react.default.createElement("div", {
    className: "cui-alert-banner " + ("cui-alert-banner--" + type)
  }, _react.default.createElement("div", {
    className: "cui-alert-banner__text"
  }, children), closable && _react.default.createElement("div", {
    className: "cui-alert-banner__close",
    onClick: onHide,
    tabIndex: 0,
    onKeyPress: handleKeyPress,
    role: 'button'
  }, _react.default.createElement(_.Icon, {
    name: "cancel_16"
  }))));
};

AlertBanner.defaultProps = {
  children: null,
  type: 'info',
  closable: false,
  onHide: function onHide() {}
};
AlertBanner.propTypes = {
  /** @prop Set AlertBanner visibility */
  show: _propTypes.default.bool.isRequired,

  /** @prop Children nodes to render inside AccordionHeader | null  */
  children: _propTypes.default.node,

  /** @prop Sets the AlertBanner type | 'info' */
  type: _propTypes.default.oneOf(['info', 'warning', 'error']),

  /** @prop Mandatory handler invoked when the user presses on the AlertBanner's close button or hit's the esc key | () => {} */
  onHide: _propTypes.default.func,

  /** @prop Sets the visibility of AlertBanner's close button | false */
  closable: _propTypes.default.bool
};
AlertBanner.displayName = 'AlertBanner';
var _default = AlertBanner;
exports.default = _default;