"use strict";

exports.__esModule = true;
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _iconNames = _interopRequireDefault(require("@collab-ui/icons/data/iconNames.json"));

var _ = require("./..");

var _getColorValue = _interopRequireDefault(require("@collab-ui/utils/lib/getColorValue"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

var Icon =
/*#__PURE__*/
function (_React$PureComponent) {
  _inheritsLoose(Icon, _React$PureComponent);

  function Icon() {
    return _React$PureComponent.apply(this, arguments) || this;
  }

  var _proto = Icon.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        ariaLabel = _this$props.ariaLabel,
        buttonClassName = _this$props.buttonClassName,
        color = _this$props.color,
        className = _this$props.className,
        description = _this$props.description,
        isAria = _this$props.isAria,
        onClick = _this$props.onClick,
        name = _this$props.name,
        size = _this$props.size,
        sizeOverride = _this$props.sizeOverride,
        style = _this$props.style,
        title = _this$props.title,
        type = _this$props.type,
        otherProps = _objectWithoutPropertiesLoose(_this$props, ["ariaLabel", "buttonClassName", "color", "className", "description", "isAria", "onClick", "name", "size", "sizeOverride", "style", "title", "type"]);

    var consoleHandler = function consoleHandler(message, data) {
      /* eslint-disable no-console */
      switch (message) {
        case 'isAria-warn':
          // TODO(pajeter): remove isAria code with next major release
          console.warn("[@collab-ui/react] Icon: isAria prop is deprecated and will be removed. Title, description or ariaLabel props should be used to add accessibility.");
          break;

        case 'color-warn':
          console.warn("[@collab-ui/react] Icon: " + data + " may not exist in the design system," + " please use a color name from https://momentum.design/styles/color/style");
          break;

        case 'name-error':
          console.warn("[@collab-ui/react] Icon: Icon " + data + " does not exist in the design system." + " Visit https://momentum.design/styles/icons/library for a list of available icons or to request a new icon.");
          break;
      }
      /* eslint-enable no-console */

    };

    var getSize = function getSize() {
      var defaultSize = 16;
      var sizeFromName = Number(name.split('_')[1]);
      return size || sizeFromName || defaultSize;
    };

    var getColor = function getColor() {
      if (color.startsWith('#')) {
        consoleHandler('color-warn', color);
        return color;
      }

      return (0, _getColorValue.default)(color);
    };

    var getNameClass = function getNameClass() {
      var iconName = name.startsWith('icon-') ? name.replace(/^(icon-)/, '') : name;

      if (sizeOverride) {
        iconName = name.split('_')[0] + ("_" + getSize());
      }

      return _iconNames.default.includes(iconName) ? "icon-" + iconName : consoleHandler('name-error', iconName);
    };

    var styles = _extends({
      fontSize: getSize()
    }, color && {
      color: getColor()
    }, style);

    var getAriaLabel = function getAriaLabel() {
      if (!isAria) return deprecationWarning(); // TODO(pajeter): remove isAria code with next major release

      if (isAria && // TODO(pajeter): remove isAria code with next major release
      ariaLabel) {
        return ariaLabel;
      }

      if (!ariaLabel) {
        if (title && description) return title + " " + description;
        if (title) return title;
        if (description) return description;
      }

      return null;
    };

    var deprecationWarning = function deprecationWarning() {
      // TODO(pajeter): remove isAria code with next major release
      consoleHandler('isAria-warn');
    };

    var getIcon = function getIcon() {
      return _react.default.createElement("i", _extends({
        className: "cui-icon icon" + (" " + getNameClass()) + ("" + (className && " " + className || '')),
        "aria-label": !onClick ? getAriaLabel() : null,
        style: styles
      }, !onClick && _extends({}, otherProps)));
    };

    return onClick ? _react.default.createElement(_.Button, _extends({
      className: 'cui-button--icon' + ("" + (type && " cui-button--icon-" + type || '')) + ("" + (buttonClassName && " " + buttonClassName || '')),
      ariaLabel: getAriaLabel(),
      onClick: onClick
    }, otherProps), getIcon()) : getIcon();
  };

  return Icon;
}(_react.default.PureComponent);

Icon.propTypes = {
  /** @prop Text to display for blindness accessibility features | null */
  ariaLabel: _propTypes.default.string,

  /** @prop Optional Button class name string | '' */
  buttonClassName: _propTypes.default.string,

  /** @prop Optional color css styling | '' */
  color: _propTypes.default.string,

  /** @prop Optional class name string | '' */
  className: _propTypes.default.string,

  /** @prop Icon description text | '' */
  description: _propTypes.default.string,

  /** @prop Depreciated prop that supports accessibility features | true */
  isAria: _propTypes.default.bool,
  // TODO(pajeter): remove isAria code with next major release

  /** @prop Required Icon name */
  name: _propTypes.default.string.isRequired,

  /** @prop Handler invoked by click of the user | null */
  onClick: _propTypes.default.func,

  /** @prop Sets Icon size | null */
  size: _propTypes.default.number,
  // Internal prop to override iconName with size prop */
  sizeOverride: _propTypes.default.bool,

  /** @prop Additional style properties to be applied | null */
  style: _propTypes.default.object,

  /** @prop Sets Icon Title prop | '' */
  title: _propTypes.default.string,

  /** @prop Sets Icon Type | '' */
  type: _propTypes.default.oneOf(['', 'white'])
};
Icon.defaultProps = {
  ariaLabel: null,
  buttonClassName: '',
  color: '',
  className: '',
  description: '',
  isAria: true,
  // TODO(pajeter): remove isAria code with next major release
  onClick: null,
  size: null,
  sizeOverride: false,
  style: null,
  title: '',
  type: ''
};
Icon.displayName = 'Icon';
var _default = Icon;
exports.default = _default;